Files
Start FileData Upload
Starts an upload of a specific FilePart. This endpoint will return an AWS URL which you can PUT data to. You need to call this and receive a new AWS API URL for each partNumber. Please see AWS's REST documentation on "PUT Object to S3" on how to upload. Once all parts has been uploaded, proceed to /finish endpoint.
Note: nextPartNumber seems like it is always ignored. Despite it returning 0, first partNumber is always 1.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
fileId*string
Must be a valid file ID.
versionId*integer
Version ID of the asset.
Range
1 <= valuefileType*string
Type of file.
Value in
"delta" | "file" | "signature"Query Parameters
partNumber?integerDeprecated
The part number to start uploading. If not provided, the first part will be started.
Range
0 <= valueResponse Body
application/json
application/json
curl -X PUT "https://api.vrchat.cloud/api/1/file/file_00000000-0000-0000-0000-000000000000/1/file/start"{
"url": "https://s3.amazonaws.com/files.vrchat.cloud/Avatar-MyAvatar-Un.file_00000000-0000-0000-0000-000000000000.1.unitypackage?AWSAccessKeyId=XXXXXXXXXXXXXXXXXXXX&Expires=1626028518&Signature=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&partNumber=1&uploadId=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxxxxx.xxxxxxx_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx..xxxxxxxxxxxxxxxxxxxxxxx"
}{
"error": {
"message": "Cannot upload against a complete version entry․ Create a new version of this file before uploading․",
"status_code": 400
}
}